package org.example.finalproyect;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;
import android.widget.TextView;

/**
 * Created by JUANCARLOS on 10/11/2015.
 */
public class ListaActividades extends ActionBarActivity implements AdapterView.OnItemClickListener {
    public MiAdaptador adaptador;
    private int entrenamiento=-1;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.layout_actividades);
        Actividades.inicializarBd(this);
        Bundle extras=getIntent().getExtras();

        if(extras.getInt("entrenamiento")>-1){
            entrenamiento=extras.getInt("entrenamiento");
            adaptador=new MiAdaptador(this,Actividades.listadoNoActividadesEntrenamientos(entrenamiento));
        }else {
            adaptador = new MiAdaptador(this, Actividades.listado());
        }
       /* final TextView e=new TextView(this);
        e.setText(String.valueOf(entrenamiento));
        new AlertDialog.Builder(this)
                .setTitle("codigo entrenamiento")
                .setMessage("el codigo del entrenmiento es")
                .setView(e);*/
        ListView listView = (ListView) findViewById(R.id.listView);
        listView.setAdapter(adaptador);
        listView.setOnItemClickListener(this);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main_actividades, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if(id==R.id.acercaDe){
            Intent intent=new Intent(this,AcercaDe.class);
            startActivity(intent);
            return true;
        }
        if(id==R.id.add){
            nuevaActividad();
            return true;
        }


        return super.onOptionsItemSelected(item);
    }

    @Override
    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {

        Intent i = new Intent(this, AmpliarActividad.class);
        i.putExtra("id", id);
        i.putExtra("entrenamiento",entrenamiento);
        startActivity(i);
        finish();
    }

    @Override
    public void onBackPressed() {
        this.finish();
    }

    public void nuevaActividad() {
        Intent intent = new Intent(this, NuevaActividad.class);
        startActivityForResult(intent, 1234);
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        if (requestCode == 1234 && resultCode == RESULT_OK) {
            Intent i = new Intent(this, ListaActividades.class);
            i.putExtra("entrenamiento",-1);
            startActivity(i);
            finish();
        }
    }
}
