package org.example.finalproyect;

import android.app.Activity;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;
import android.widget.SimpleCursorAdapter;
import android.widget.Toast;

/**
 * Created by JUANCARLOS on 12/11/2015.
 */
public class ListaEntrenamientos extends ActionBarActivity implements AdapterView.OnItemClickListener {
    private static AltaActiviadesBD altaActiviadesBD;
    public MiAdaptadorEntrenamiento adaptador;
    private int usuario;
    private boolean sePuedeBorrar=false;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Bundle extras=getIntent().getExtras();
        usuario=extras.getInt("id");
        setContentView(R.layout.layout_entrenamientos);
        Entrenamiento.inicializarBd(this);
      adaptador=new MiAdaptadorEntrenamiento(this,Entrenamiento.listado(usuario));


        ListView listView=(ListView)findViewById(R.id.listView2);
        listView.setAdapter(adaptador);
        listView.setOnItemClickListener(this);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement

        if(id==R.id.add){
            insertar();
            return true;
        }
        if(id==R.id.acercaDe){
            Intent intent=new Intent(this,AcercaDe.class);
            startActivity(intent);
            return true;
        }
        if(id==R.id.verActividades){
            verActividades();
            return true;
        }
        if(id==R.id.borrarEntrenamientoP){
            sePuedeBorrar=true;
            Toast.makeText(ListaEntrenamientos.this, getResources().getString(R.string.activadaBorrar), Toast.LENGTH_SHORT).show();
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
    @Override
    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
        if(sePuedeBorrar){
            Cursor c=adaptador.getCursor();
            c.moveToPosition(position);
            int identificador=c.getInt(0);
            altaActiviadesBD=new AltaActiviadesBD(this);
            SQLiteDatabase db=altaActiviadesBD.getWritableDatabase();
            //tenemos que borrar todos los registros en todas las tablas que contengan el entrenamiento
            db.execSQL("BEGIN;");
            db.execSQL("DELETE FROM entrenamiento_actividades WHERE entrenamiento="+id);
            db.execSQL("DELETE FROM entrenamiento_usuarios WHERE entrenamiento="+id);
            db.execSQL("DELETE FROM Entrenamiento WHERE _id="+id);
            db.execSQL("COMMIT;");
           c.close();
            db.close();
            sePuedeBorrar=false;
            Intent i=new Intent(this,ListaEntrenamientos.class);
            i.putExtra("id", usuario);
            startActivity(i);
            finish();
        }
        else
        {
            Cursor c=adaptador.getCursor();
            c.moveToPosition(position);
            Intent i=new Intent(this,ListaEntrenamientoActividades.class);
            i.putExtra("id", c.getInt(0));
            startActivity(i);
        }

    }
    public void insertar(){
        Intent intent=new Intent(this,InsertarEntrenamiento.class);
        intent.putExtra("usuario",usuario);
        startActivityForResult(intent, 1234);
    }
    @Override
    protected void onActivityResult(int requestCode,int resultCode,Intent data){
        if(requestCode==1234 && resultCode==RESULT_OK){
            Intent i=new Intent(this,ListaEntrenamientos.class);
            i.putExtra("id",usuario);
            startActivity(i);
            finish();
        }
    }
  public void verActividades(){
      Intent intent=new Intent(this,ListaActividades.class);
      intent.putExtra("entrenamiento",-1);
      startActivity(intent);
  }


}
